Bug 192808 - system-config-display Traceback Error given when running firstboot
system-config-display Traceback Error given when running firstboot
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firstboot (Show other bugs)
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2006-05-23 06:41 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-29 11:27:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Traceback Error details screenshot when tested through vnc. (121.30 KB, image/png)
2006-05-23 06:41 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-05-23 06:41:13 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enter into the ppc machine (ppcp-4as.lab.boston.redhat.com) via vnc.
2. Checked the firstboot version loaded by default. 
3. Installed latest version of firstboot (firstboot-1.3.39-5.noarch)
4. Open file /etc/modprobe.conf on vi editor.
5. Change the alias name of eth0, eth1 etc. (whichever ethernet devices the file 
6. Moved the files ifcfg-eth0, ifcfg-eth1, etc (whichever ethernet devices 
   available) from /etc/sysconfig/network-scripts/ dir to another location.
7. Change the firstboot file in /etc/sysconfig/. Made the word "NO" to "YES".
8. Run command init 5.
9. Run the command firstboot --reconfig. 
10.Opened the firstboot on gui mode. 
11.TRACEBACK ERROR message box appears.
12.Click on OK button of error message appeared.
13.Firstboot did not crash after that, but started to proceed forward and 
   finished its set up gradually. 

Actual results:

Expected results:

Additional info:
Comment 1 Satyabrata Maitra 2006-05-23 06:41:13 EDT
Created attachment 129847 [details]
Traceback Error details screenshot when tested through vnc.
Comment 2 Satyabrata Maitra 2006-05-23 06:44:22 EDT
Actual Results : TRACEBACK Error Given.

Expected Results : Should not show TRACEBACK Error.
Comment 3 Satyabrata Maitra 2006-05-23 10:05:56 EDT
This bug has been found when testing for Errata : RHBA-2006:0324 - firstboot bug
fix update, Bug 164874 – firstboot traceback on nonexistent ifcfg-eth1 in
reconfig mode.

arch : ppcp-4as.lab.boston.redhat.com in RHEL 4 U3 version.

The Actual Results on Errata firstboot bug is different from the bug found at
the time of testing. Actually in both cases Traceback error given, but the
content of the error is different. Please see both the traceback error
informations. The Teaceback Error information for this bug is attached with
comment #1. And the traceback error information for firstboot bug is given with
the Errata bug reference (bug id - 164874). Please see the both. 
Comment 4 Adam Jackson 2006-06-23 16:45:15 EDT
Kicking to firstboot, as per the error message text.  It looks like firstboot is
failing to give s-c-d a layout to exist in.
Comment 5 Chris Lumens 2006-06-29 11:27:59 EDT
Okay, what's going on here is that ixf86config.readConfigFile returns None if
there is no config file, and that is never getting checked anywhere in
firstboot's display module.  I'm going to commit a fix for that to Rawhide. 
system-config-display may want to check to make sure it's not getting None for
self.xconfig too, just in case.

Note You need to log in before you can comment on or make changes to this bug.